<template>
  <div>
    <div class="steps m-auto mb-8">
      <ul>
        <li
          v-for="(step, i) in verificationSteps"
          :key="`${step.value}-${i}`"
          class="p-2"
        >
          <AppSpinnerText
            :status="isCredentialValid ? step.status : failStatus"
            :message="$t(`verify.verificationSteps.${step.value}`)"
          />
        </li>
      </ul>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import { StatusType, AlertType } from '~/utility/constant'

export default Vue.extend({
  name: 'VerificationSteps',
  props: {
    isCredentialValid: { type: Boolean, default: false }
  },
  data() {
    return {
      verificationSteps: [
        { value: 'verifyCredential', status: StatusType.SUCCESS }
      ]
    }
  },
  computed: {
    appInfoCardProps() {
      return this.isCredentialValid
        ? { alertType: AlertType.SUCCESS, textRoot: 'requestCredentials.infoCard.confirmed' }
        : { alertType: AlertType.ERROR, textRoot: 'requestCredentials.infoCard' }
    },
    failStatus() {
      return StatusType.FAIL
    }
  }
})
</script>

<style scoped>
.steps {
  /* using w-fit doesn't work for some reason */
  width: fit-content;
}
</style>
